Bug 852334 - [Doc] RFE: Doc for virt-v2v can be confusing -> virt-v2v may install a new kernel
[Doc] RFE: Doc for virt-v2v can be confusing -> virt-v2v may install a new ke...
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-V2V_Guide (Show other bugs)
Unspecified Linux
low Severity low
: rc
: ---
Assigned To: Jiri Herrmann
Platform Virt Docs
: Documentation, FutureFeature, Triaged
Depends On:
Blocks: 1305375
  Show dependency treegraph
Reported: 2012-08-28 04:33 EDT by Luc de Louw
Modified: 2016-02-19 10:19 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-02-19 10:19:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Luc de Louw 2012-08-28 04:33:36 EDT
Description of problem:

The virt-v2v guide can cause confusion. "virt-v2v may install a new kernel...". It should be explained when this happens and why. Additionally there should be explained how to circumvent a kernel update.

Background: Some people are stuck to a particular Kernel Version because of some nasty software depending on it. 

Version-Release number of selected component (if applicable):
Edition 11

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 2 Tom Lavigne 2012-09-07 11:26:26 EDT
This request was evaluated by Red Hat Product Management for 
inclusion in the current release of Red Hat Enterprise Linux.
Since we are unable to provide this feature at this time,  
it has been proposed for the next release of 
Red Hat Enterprise Linux.
Comment 3 RHEL Product and Program Management 2013-10-14 00:49:40 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 8 Dayle Parker 2015-05-18 00:50:47 EDT
Hi Richard and Pino,

I'd like to add a bit more detail on the 'virt-v2v may install a new kernel' [1] topic for the RHEL6 V2V Guide, and am hoping you can help with some questions...

* In what situation would virt-v2v install a new kernel? Is it only when converting a VM using a Xen para-virtualized kernel? Also, I came across the following bit of info later in the guide; is it correct, and is this only circumstance when the new kernel install would happen?:

"If your guest uses a Xen para-virtualized kernel (it would be called something like kernel-xen or kernel-xenU), virt-v2v will attempt to install a new kernel during the conversion process. You can avoid this requirement by installing a regular kernel, which will not reference a hypervisor in its name, alongside the Xen kernel prior to conversion. You should not make this newly installed kernel your default kernel, because Xen will not boot it. virt-v2v will make it the default during conversion."

* Is there any way the user can opt out of the new kernel installation, ie. installing virtIO drivers on the existing kernel, etc?

Many thanks,

[1] ie. Step 1 in https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/6/html-single/V2V_Guide/index.html#idm37606992
Comment 9 Richard W.M. Jones 2015-05-18 04:28:55 EDT
Dayle, do you really want to update the documentation for virt-v2v
in RHEL 6?  We are strongly encouraging everyone to move to the
RHEL 7 version (virt-v2v-1.28.1), and will soon publish an appliance
that RHEL 6 customers can use (for free) to run the new virt-v2v on
their existing RHEL 6 systems.

I am inclined to close this as WONTFIX.


For the old version of virt-v2v:

The paragraph "If your guest ..." is accurate for old virt-v2v.

In old virt-v2v you can opt out of kernel installation by editing
the configuration file, but if you do that, conversion will just
fail.  Fundamentally you need a non-Xen kernel in order to run
guests on KVM, so if they are stuck with a particular Xen kernel
there's no way the guest can be made to work on KVM.


For the new (RHEL 7) version of virt-v2v:

It never installs a new kernel.  Instead it checks the already
installed kernels.  If none of them is suitable, you'll get an error
message and conversion will fail.  If a kernel is suitable but it
is not the currently selected boot kernel, then virt-v2v will
change the selected boot kernel to the suitable one.

We also publish guidance in the manual about the minimum
versions of kernels and other packages required:

Note You need to log in before you can comment on or make changes to this bug.